VLCKit

Instance Methods | List of all members
<VLCCustomDialogRendererProtocol> Protocol Reference

`#import <VLCDialogProvider.h>`

Inheritance diagram for <VLCCustomDialogRendererProtocol>:

## Instance Methods
(void) | - showErrorWithTitle:message:
(void) | - showLoginWithTitle:message:defaultUsername:askingForStorage:withReference:
(void) | - showQuestionWithTitle:message:type:cancelString:action1String:action2String:withReference:
(void) | - showProgressWithTitle:message:isIndeterminate:position:cancelString:withReference:
(void) | - updateProgressWithReference:message:position:
(void) | - cancelDialogWithReference:

## Detailed Description

the protocol to use if you decide to run a custom dialog appearance

## Method Documentation

## ◆ cancelDialogWithReference:

- (void) cancelDialogWithReference: |  | (NSValue *_Nonnull) | reference |

VLC decided to destroy a dialog

Parameters

  reference | to the dialog to destroy

## ◆ showErrorWithTitle:message:

- (void) showErrorWithTitle: |  | (NSString *_Nonnull) | error
message: |  | (NSString *_Nonnull) | message

called when VLC wants to show an error

Parameters

  error | the dialog title
  message | the error message

## ◆ showLoginWithTitle:message:defaultUsername:askingForStorage:withReference:

- (void) showLoginWithTitle: |  | (NSString *_Nonnull) | title
message: |  | (NSString *_Nonnull) | message
defaultUsername: |  | (NSString *_Nullable) | username
askingForStorage: |  | (BOOL) | askingForStorage
withReference: |  | (NSValue *_Nonnull) | reference

called when user logs in to something If VLC includes a keychain module for your platform, a user can store stuff

Parameters

  title | login dialog title
  message | an explaining message
  username | a default username within context
  askingForStorage | indicator whether storing is even a possibility
  reference | you need to send the results to

## ◆ showProgressWithTitle:message:isIndeterminate:position:cancelString:withReference:

- (void) showProgressWithTitle: |  | (NSString *_Nonnull) | title
message: |  | (NSString *_Nonnull) | message
isIndeterminate: |  | (BOOL) | isIndeterminate
position: |  | (float) | position
cancelString: |  | (NSString *_Nullable) | cancelString
withReference: |  | (NSValue *_Nonnull) | reference

called when VLC wants to show some progress

Parameters

  title | the dialog title
  message | an explaining message
  isIndeterminate | indicator whether progress indeterminate
  position | initial progress position
  cancelString | optional string for cancel button if operation is cancellable
  reference | VLC will include in updates

## ◆ showQuestionWithTitle:message:type:cancelString:action1String:action2String:withReference:

- (void) showQuestionWithTitle: |  | (NSString *_Nonnull) | title
message: |  | (NSString *_Nonnull) | message
type: |  | (VLCDialogQuestionType) | questionType
cancelString: |  | (NSString *_Nullable) | cancelString
action1String: |  | (NSString *_Nullable) | action1String
action2String: |  | (NSString *_Nullable) | action2String
withReference: |  | (NSValue *_Nonnull) | reference

called when VLC needs the user to decide something

Parameters

  title | the dialog title
  message | an explaining message text
  questionType | a question type
  cancelString | cancel button text
  action1String | action 1 text
  action2String | action 2 text
  reference | you need to send the action to

## ◆ updateProgressWithReference:message:position:

- (void) updateProgressWithReference: |  | (NSValue *_Nonnull) | reference
message: |  | (NSString *_Nullable) | message
position: |  | (float) | position

called when VLC wants to update an existing progress dialog

Parameters

  reference | to the existing progress dialog
  message | updated message
  position | current position

The documentation for this protocol was generated from the following file:

- Headers/Public/VLCDialogProvider.h